clang-tools 10.0.0

Classes | Namespaces | Functions
CanonicalIncludes.h File Reference
`#include "clang/Lex/Preprocessor.h"`
`#include "llvm/ADT/StringMap.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Support/Regex.h"`
`#include <mutex>`
`#include <string>`
`#include <vector>`
Include dependency graph for CanonicalIncludes.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::clangd::CanonicalIncludes
| Maps a definition location onto an #include file, based on a set of filename rules. More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
std::unique_ptr< CommentHandler > | clang::clangd::collectIWYUHeaderMaps (CanonicalIncludes *Includes)
| Returns a CommentHandler that parses pragma comment on include files to determine when we should include a different header from the header that directly defines a symbol. More...